﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.Core;

namespace Demo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        MrSidRasterLayer MrSidLayer;
        LayerOverlay overLay;
        public MainWindow()
        {
            InitializeComponent();
        }

        private void mapView_Loaded(object sender, RoutedEventArgs e)
        {
  
            map.MapUnit = GeographyUnit.Meter;
            map.CurrentExtent = new RectangleShape(-13086298.60, 7339062.72, -8111177.75, 2853137.62);
             MrSidLayer = new MrSidRasterLayer(@"D:\Tickets\OriStar Mapping\HelloWorldV12WPFNET\Demo\Demo\bin\Debug\14LakeView2008.sid");
            MrSidLayer.Open();
            overLay = new LayerOverlay();
            // overLay.TileBuffer = 0;
            overLay.Layers.Add(MrSidLayer);
            map.Overlays.Add(overLay);
            map.CurrentExtent = MrSidLayer.GetBoundingBox();
            map.OverlaysDrawn += Map_OverlaysDrawn;
            map.OverlayDrawing += Map_OverlayDrawing;
            map.Refresh();
        }

        private void Map_OverlayDrawing(object sender, OverlayDrawingMapViewEventArgs e)
        {
            isDrawing = true;
        }

        private void Map_OverlaysDrawn(object sender, OverlaysDrawnMapViewEventArgs e)
        {
            isDrawing = false;
        }

        bool isDrawing = false;
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (!isDrawing)
            {
                if (MrSidLayer.IsOpen == true)
                {
                    MrSidLayer.Close();
                }

                MrSidLayer = null;
                GC.Collect();

                overLay.Layers.Clear();
                map.Refresh();
            }
        }
    }
}
